uk.ac.starlink.fits

## Class CardImage

- java.lang.Object
- - uk.ac.starlink.fits.CardImage

-     public class CardImage
      extends java.lang.Object

  Represents a FITS header card that will be written. It is a thin wrapper around an 80-byte buffer providing the ASCII content.
  Since:
    4 Mar 2022
  See Also:
    `FitsUtil.writeHeader(uk.ac.starlink.fits.CardImage[], java.io.OutputStream)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CardImage(byte[] buf80)` Constructs a CardImage from an 80-element byte array.
    `CardImage(java.lang.CharSequence txt80)` Constructs a CardImage from an 80-character CharSequence.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytes()` Returns this image as a byte array.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CardImage

          public CardImage(byte[] buf80)

      Constructs a CardImage from an 80-element byte array.
      Parameters:
        `buf80` - 80-byte array containing ASCII characters
      Throws:
        `java.lang.IllegalArgumentException` - if the array is the wrong length or contains illegal characters

    - #### CardImage

          public CardImage(java.lang.CharSequence txt80)

      Constructs a CardImage from an 80-character CharSequence.
      Parameters:
        `txt80` - 80-character sequence containing ASCII characters
      Throws:
        `java.lang.IllegalArgumentException` - if the string is the wrong length or contains illegal characters

  - ### Method Detail

    - #### getBytes

          public byte[] getBytes()

      Returns this image as a byte array.
      Returns:
        80-element byte array

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        80-character string